Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.xml.stream.util
Class XMLInputStreamFilterBase

    java.lang.Object
      weblogic.xml.stream.util.XMLInputStreamFilterBase

All Implemented Interfaces:
  XMLInputStream, XMLInputStreamFilter

Direct Known Subclasses:
  XMLSubStreamBase

Deprecated. please use java standard StAX api

public class XMLInputStreamFilterBase
extends Object
implements XMLInputStreamFilter

This is the implementation of the interface for creating Filters on XMLInputStreams

Since:
  XMLInputStream 1.0
See Also:
  `XMLInputStream`, `XMLOutputStream`, `XMLInputStreamFilter`

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`protected ElementFilter` | `filter` Deprecated.
`protected boolean` | `open` Deprecated.
`protected XMLInputStream` | `parent` Deprecated.

Constructor Summary
`XMLInputStreamFilterBase()` Deprecated.
`XMLInputStreamFilterBase(XMLInputStream parent, ElementFilter filter)` Deprecated.

Method Summary
`void` | `close()` Deprecated.
`XMLInputStream` | `getParent()` Deprecated.
`ReferenceResolver` | `getReferenceResolver()` Deprecated.
`XMLInputStream` | `getSubStream()` Deprecated.
`boolean` | `hasNext()` Deprecated.
`static void` | `main(String[] args)` Deprecated.
`protected XMLEvent` | `modify(XMLEvent e)` Deprecated.
`XMLEvent` | `next()` Deprecated.
`XMLEvent` | `peek()` Deprecated.
`void` | `pushBack(XMLEvent e)` Deprecated.
`void` | `setFilter(ElementFilter filter)` Deprecated.
`void` | `setParent(XMLInputStream parent)` Deprecated.
`void` | `setReferenceResolver(ReferenceResolver resolver)` Deprecated.
`void` | `skip()` Deprecated.
`boolean` | `skip(int elementType)` Deprecated.
`boolean` | `skip(XMLName name)` Deprecated.
`boolean` | `skip(XMLName name, int elementType)` Deprecated.
`void` | `skipElement()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### filter

    protected ElementFilter filter

  Deprecated.

### open

    protected boolean open

  Deprecated.

### parent

    protected XMLInputStream parent

  Deprecated.

Constructor Detail

### XMLInputStreamFilterBase

    public XMLInputStreamFilterBase()

  Deprecated.

### XMLInputStreamFilterBase

    public XMLInputStreamFilterBase(XMLInputStream parent,
                                    ElementFilter filter)
                             throws XMLStreamException

  Deprecated.

Method Detail

### close

    public void close()
               throws XMLStreamException

  Deprecated.
  Description copied from interface: `XMLInputStream`
  Closes this input stream and releases any system resources associated with the stream.

  Specified by:
    `close` in interface `XMLInputStream`
  Throws:
    `XMLStreamException`

### getParent

    public XMLInputStream getParent()

  Deprecated.
  Description copied from interface: `XMLInputStreamFilter`
  Get the parent stream

  Specified by:
    `getParent` in interface `XMLInputStreamFilter`
  See Also:
    `XMLInputStream`

### getReferenceResolver

    public ReferenceResolver getReferenceResolver()

  Deprecated.
  Description copied from interface: `XMLInputStream`
  Returns the reference resolver that was set for this stream, returns null if no ReferenceResolver has been set.

  Specified by:
    `getReferenceResolver` in interface `XMLInputStream`
  See Also:
    `ReferenceResolver`

### getSubStream

    public XMLInputStream getSubStream()
                                throws XMLStreamException

  Deprecated.
  Description copied from interface: `XMLInputStream`
  getSubStream() returns a stream which points to the entire next element in the current stream. For example: take a document that has a root node A, where the children of A are B, C, and D. If the stream is pointing to the start element of A, getSubStream() will return A, B, C and D including the start element of A and the end element of A. The position of the parent stream is not changed and the events read by the substream are written back to its parent.

  Specified by:
    `getSubStream` in interface `XMLInputStream`
  Throws:
    `XMLStreamException`

### hasNext

    public boolean hasNext()
                    throws XMLStreamException

  Deprecated.
  Description copied from interface: `XMLInputStream`
  Check if there are more events to pull of the stream

  Specified by:
    `hasNext` in interface `XMLInputStream`
  Throws:
    `XMLStreamException`
  See Also:
    `XMLEvent`

### main

    public static void main(String[] args)
                     throws Exception

  Deprecated.
  Throws:
    `Exception`

### modify

    protected XMLEvent modify(XMLEvent e)
                       throws XMLStreamException

  Deprecated.
  Throws:
    `XMLStreamException`

### next

    public XMLEvent next()
                  throws XMLStreamException

  Deprecated.
  Description copied from interface: `XMLInputStream`
  Get the next XMLEvent on the stream

  Specified by:
    `next` in interface `XMLInputStream`
  Throws:
    `XMLStreamException`
  See Also:
    `XMLEvent`

### peek

    public XMLEvent peek()
                  throws XMLStreamException

  Deprecated.
  Description copied from interface: `XMLInputStream`
  Check the next XMLEvent without reading it from the stream. Returns null if the stream is at EOF or has no more XMLEvents.

  Specified by:
    `peek` in interface `XMLInputStream`
  Throws:
    `XMLStreamException`
  See Also:
    `XMLEvent`

### pushBack

    public void pushBack(XMLEvent e)
                  throws XMLStreamException

  Deprecated.
  Throws:
    `XMLStreamException`

### setFilter

    public void setFilter(ElementFilter filter)

  Deprecated.

### setParent

    public void setParent(XMLInputStream parent)
                   throws XMLStreamException

  Deprecated.
  Description copied from interface: `XMLInputStreamFilter`
  Set the parent stream

  Specified by:
    `setParent` in interface `XMLInputStreamFilter`
  Throws:
    `XMLStreamException`
  See Also:
    `XMLInputStream`

### setReferenceResolver

    public void setReferenceResolver(ReferenceResolver resolver)

  Deprecated.
  Description copied from interface: `XMLInputStream`
  Provides a way to set the ReferenceResolver of the stream, this is mostly needed for handle references to other parts of the document.

  Specified by:
    `setReferenceResolver` in interface `XMLInputStream`
  See Also:
    `ReferenceResolver`

### skip

    public void skip()
              throws XMLStreamException

  Deprecated.
  Description copied from interface: `XMLInputStream`
  Skip the next stream event

  Specified by:
    `skip` in interface `XMLInputStream`
  Throws:
    `XMLStreamException`

### skip

    public boolean skip(int elementType)
                 throws XMLStreamException

  Deprecated.
  Description copied from interface: `XMLInputStream`
  Position the stream at the next XMLEvent of this type. The method returns true if the stream contains another XMLEvent of this type and false otherwise.

  Specified by:
    `skip` in interface `XMLInputStream`
  Parameters:
    `elementType` - An integer code that indicates the element type.
  Throws:
    `XMLStreamException`
  See Also:
    `XMLEvent`

### skip

    public boolean skip(XMLName name)
                 throws XMLStreamException

  Deprecated.
  Description copied from interface: `XMLInputStream`
  Position the stream at the next element of this name. The method returns true if the stream contains another element with this name and false otherwise. Skip is a forward operator only. It does not look backward in the stream.

  Specified by:
    `skip` in interface `XMLInputStream`
  Parameters:
    `name` - An object that defines an XML name. If the XMLName.getNameSpaceName() method on the XMLName argument returns null the XMLName will match just the local name. Prefixes are not checked for equality.
  Throws:
    `XMLStreamException`
  See Also:
    `XMLName`

### skip

    public boolean skip(XMLName name,
                        int elementType)
                 throws XMLStreamException

  Deprecated.
  Description copied from interface: `XMLInputStream`
  Position the stream at the next element of this name and this type. The method returns true if the stream contains another element with this name of this type and false otherwise.

  Specified by:
    `skip` in interface `XMLInputStream`
  Parameters:
    `name` - An object that defines an XML name. If the XMLName.getNameSpaceName() method on the XMLName argument returns null the XMLName will match just the local name. Prefixes are not checked for equality.
    `elementType` - An integer code that indicates the element type.
  Throws:
    `XMLStreamException`
  See Also:
    `XMLEvent`, `XMLName`

### skipElement

    public void skipElement()
                     throws XMLStreamException

  Deprecated.
  Description copied from interface: `XMLInputStream`
  Skips the entire next start tag / end tag pair.

  Specified by:
    `skipElement` in interface `XMLInputStream`
  Throws:
    `XMLStreamException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD